# TensorToImageDataOptions | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

# Interface TensorToImageDataOptions

Describes Tensor configuration to an image data.

#### Hierarchy

- TensorToImageDataOptions

- Defined in tensor.ts:245

#####
Index

### Properties

format?
height?
norm?
tensorLayout?
width?

## Properties

### `Optional` format

format?: ImageFormat

Describes Tensor channels order.

- Defined in tensor.ts:249

### `Optional` height

height?: number

Describes Tensor Height - can be accessed via tensor dimensions as well

- Defined in tensor.ts:257

### `Optional` norm

norm?: {
bias?: number;
mean?: number;
}

Describes normalization parameters to ImageData conversion from tensor - default values - Bias: 0, Mean: 255

#### Type declaration

- ##### `Optional` bias?: number

- ##### `Optional` mean?: number

- Defined in tensor.ts:265

### `Optional` tensorLayout

tensorLayout?: "NHWC" | "NCHW"

Tensor channel layout - default is 'NHWC'

- Defined in tensor.ts:253

### `Optional` width

width?: number

Describes Tensor Width - can be accessed via tensor dimensions as well

- Defined in tensor.ts:261

Generated using TypeDoc